Skip to main content

Cancel order

DELETE 

/orders/:id/

Undoes a previous order and invalidates the amount associated with it.

Cancellation is successful when the cool-down period has not elapsed and the order status is PREPARED or DELIVERED. During the cool-down period, the amount is temporarily frozen. The documented default cool-down period is five minutes. After it elapses, cancellation might fail because the customer may already have used the amount associated with the order.

Implementing this request is mandatory when a previous order must be undone because the customer cannot pay for the transaction at the POS. A successful cancellation does not appear on the distributor invoice, but does appear in the daily reconciliation file.

The Correlation-ID header can be used instead of the order ID in the URI.

Request

Responses

Order cancelled successfully.